Bug 537240 - provide icons sized 256x256
Summary: provide icons sized 256x256
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 15
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-12 21:45 UTC by Michael Monreal
Modified: 2015-02-01 22:49 UTC (History)
9 users (show)

Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 16:19:33 UTC


Attachments (Terms of Use)
Screenshot (178.69 KB, image/png)
2009-11-12 21:45 UTC, Michael Monreal
no flags Details

Description Michael Monreal 2009-11-12 21:45:06 UTC
Created attachment 369335 [details]
Screenshot

The ABRT windows show up with a tiny default window icon in GNOME-shell instead of the icon that is also used in the menus.

Comment 1 Michal Nowak 2009-11-18 13:54:16 UTC
It's generic problem, not gnome-shell related, abrt-gui does not have "window" icon. I believe abrt icon, which we have in System Tools menu, should be used everywhere: abrt-{applet,gui}.

Comment 2 Jiri Moskovcak 2009-11-18 14:46:31 UTC
(In reply to comment #1)
> It's generic problem, not gnome-shell related, abrt-gui does not have "window"
> icon. I believe abrt icon, which we have in System Tools menu, should be used
> everywhere: abrt-{applet,gui}.  

Wes, it should, I already push fixes for this into git and there are fresh builds in my repository on fedorapeople.

J.

Comment 3 Fedora Update System 2009-11-22 20:44:51 UTC
abrt-1.0.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/abrt-1.0.0-1.fc12

Comment 4 Michael Monreal 2009-11-23 18:00:10 UTC
Ok this updated version now shows the icon, but still too small. Checking the package I see there is only a 48x48 version of the icon... so we still have the following problems:

a) app icon should be installed into /usr/share/icons/hicolor/$size/apps/

b) ...were $size is 16x16, 22x22, 24x24, 32x32, 48x48 and 256x256

c) the current icons in /usr/share/icons/hicolor/$size/apps/ are status icons, they don't belong into the apps category (better put them in status?) and they don't belong into the global hicolor theme at all (they should be in a private hicolor: /usr/share/abrt/icons/hicolor/$size/status/)

Comment 5 Jiri Moskovcak 2009-11-24 10:10:13 UTC
(In reply to comment #4)
> Ok this updated version now shows the icon, but still too small. Checking the
> package I see there is only a 48x48 version of the icon... so we still have the
> following problems:
> 
> a) app icon should be installed into /usr/share/icons/hicolor/$size/apps/
> 
> b) ...were $size is 16x16, 22x22, 24x24, 32x32, 48x48 and 256x256
> 

Yes, it should, I can probably create these from svg file.

> c) the current icons in /usr/share/icons/hicolor/$size/apps/ are status icons,
> they don't belong into the apps category (better put them in status?) and they
> don't belong into the global hicolor theme at all (they should be in a private
> hicolor: /usr/share/abrt/icons/hicolor/$size/status/)  

I did this the same way nm-applet does it, so it's probably wrong even in NetworkManager-gnome package. I'll fix it.

Thanks,
Jirka

Comment 6 Michael Monreal 2009-11-24 12:22:58 UTC
(In reply to comment #5)
> Yes, it should, I can probably create these from svg file.
Note that just exporting the 48x48 svg to other sizes won't produce nice pngs in those sizes. Every target size needs its own (pixel grid aligned) source svg.

> I did this the same way nm-applet does it, so it's probably wrong even in
> NetworkManager-gnome package.
Yes it is (and has been for years in the case of nm-applet... there is a bug upstream about this but for some reason fixing it does not seem to have a big priority. This is why nm-applet is still stuck with bluecurve icons and why it looks blurry on certain panel sizes and gnome-shell)

Comment 7 Fedora Update System 2009-11-25 15:10:55 UTC
abrt-1.0.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abrt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12098

Comment 8 Fedora Update System 2009-12-01 04:37:37 UTC
abrt-1.0.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Michael Monreal 2009-12-01 08:09:11 UTC
Note that the stuff discussed starting with comment #4 are still valid and not fixed in the released build.

Comment 10 Jiri Moskovcak 2009-12-01 08:49:29 UTC
You're right, this bug has been closed automatically -> reopening

Comment 11 Michael Monreal 2010-01-28 20:42:42 UTC
Also, while the main window now shows the icon, other windows (plugins, prefs, about) still don't show it. Maybe just set the default window icon?

Comment 12 Jiri Moskovcak 2010-02-02 13:47:58 UTC
(In reply to comment #11)
> Also, while the main window now shows the icon, other windows (plugins, prefs,
> about) still don't show it. Maybe just set the default window icon?    

This should be already fixed.

Comment 13 Michael Monreal 2010-02-02 14:26:06 UTC
(In reply to comment #12)
> This should be already fixed.    

I still see no window icon in any but the main window in abrt-1.0.5-1.fc12.i686

Comment 14 Jiri Moskovcak 2010-02-02 14:35:54 UTC
Ah, I meant different problem with icons :-/

Comment 15 Jiri Moskovcak 2010-02-03 21:08:14 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > Also, while the main window now shows the icon, other windows (plugins, prefs,
> > about) still don't show it. Maybe just set the default window icon?    
> 

Fixed in git.

Comment 16 Bug Zapper 2010-11-04 06:27:47 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Michael Monreal 2010-11-04 15:46:13 UTC
A 256x256 version of the application icon is still missing (which will be a visible flaw in F15/gnome-shell). Other issues seem to be fixed :)

Comment 18 Jiri Moskovcak 2010-11-04 16:07:14 UTC
(In reply to comment #17)
> A 256x256 version of the application icon is still missing (which will be a
> visible flaw in F15/gnome-shell). Other issues seem to be fixed :)

Thanks for the response, changing the summary so it's obvious on first sight what's going on here...

Comment 19 Bug Zapper 2010-12-04 03:21:01 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 20 Michal Nowak 2010-12-06 11:45:33 UTC
It was agreed in comment #18 it should be fixed. Reopening.

Comment 21 Matthias Clasen 2011-03-14 17:25:08 UTC
having a 256x256 icon would be really good; otherwise, abrt is going to look bad in the gnome-shell application overview.

Comment 22 Fedora Update System 2011-03-27 17:36:26 UTC
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15

Comment 23 Fedora Update System 2011-03-29 20:01:49 UTC
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15

Comment 24 Fedora Update System 2011-03-30 02:32:27 UTC
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).

Comment 25 Fedora Update System 2011-03-30 16:48:44 UTC
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15

Comment 26 Fedora Update System 2011-04-04 14:08:28 UTC
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15

Comment 27 Fedora Update System 2011-04-15 15:09:28 UTC
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15

Comment 28 Fedora Update System 2011-04-20 13:30:07 UTC
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15

Comment 29 Fedora Update System 2011-04-21 16:44:43 UTC
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15

Comment 30 Fedora Update System 2011-04-26 16:12:09 UTC
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.